## python-brainstorm 0.5

=== Makefile ===
.PHONY: help clean clean-pyc clean-build clean-test clean-docs lint test \
        test-all coverage docs release dist

help:
	@echo "clean - remove all build, doc, test, coverage and Python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "clean-doc - remove documentation artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "test-all - run tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "dist - package"

clean: clean-build clean-pyc clean-test clean-docs

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .cache/

clean-docs:
	$(MAKE) -C docs clean

lint:
	flake8 brainstorm

test: clean-pyc clean-test
	python setup.py test

test-all: clean-pyc
	tox

coverage: clean-pyc
	coverage run --source brainstorm setup.py test
	coverage report -m
	coverage html
	xdg-open htmlcov/index.html

docs:
	$(MAKE) -C docs clean
	python setup.py build_ext --inplace
	$(MAKE) -C docs html
	xdg-open docs/_build/html/index.html

release: clean
	python setup.py build_ext --inplace
	python setup.py sdist upload
	python setup.py bdist_wheel upload

dist: clean
	python setup.py build_ext --inplace
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

=== requirements.txt ===
numpy
cython
six
wheel>=0.22
mock
h5py

=== debian/changelog ===
python-brainstorm (0.5-3) unstable; urgency=medium

  * add fix-tests-for-numpy-1.12.patch (Closes: #849232) [thanks
    to Graham Inggs <ginggs@debian.org>].

 -- Daniel Stender <stender@debian.org>  Thu, 19 Jan 2017 20:34:34 +0100

python-brainstorm (0.5-2) unstable; urgency=medium

  * Uploaded to unstable.
  * deb/control:
    + put team into Maintainer field (unconfirmed team uploads).
    + bumped Standards-Version to 3.9.8 (no changes needed).
    + short description made more precise.
    + added description text on GPU accelerated computation.
  * deb/rules:
    + added DEB_BUILD_MAINT_OPTIONS export for BINDNOW.
    + dropped failsafe for dh_auto_test.
    + sorted overrides into build log order.
    + added override for dh_gencontrol to run dh_numpy3.
  * Set up DEP-8 tests.

 -- Daniel Stender <stender@debian.org>  Tue, 24 May 2016 20:52:02 +0200

python-brainstorm (0.5-1) experimental; urgency=medium

  * Initial release (Closes: #817890).

 -- Daniel Stender <stender@debian.org>  Sun, 13 Mar 2016 17:02:17 +0100

=== debian/control ===
Source: python-brainstorm
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
Uploaders: Daniel Stender <stender@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-setuptools,
 python3-all-dev,
 python3-six,
 python3-numpy (>= 1.8),
 cython3,
 libopenblas-dev,
 python3-h5py,
 python3-pytest,
 python3-mock,
# recursion error when build on python3-sphinx
 python-sphinx,
 python-pygments,
 python-sphinx-rtd-theme,
 python-numpy,
 python-mock
Standards-Version: 3.9.8
Homepage: https://github.com/IDSIA/brainstorm
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-brainstorm.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-brainstorm.git
X-Python3-Version: >= 3.3

Package: python3-brainstorm
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends},
 libopenblas-base
Recommends:
 python3-pygraphviz
Description: deep learning library for Python
 Brainstorm is an easy-to-use Python library for setting up deep
 (multiple layered) artificial neural networks which can be employed
 for setting up advanced machine learning applications like
 for computer vision tasks, speech recognition and natural language
 processing.
 .
 Brainstorm supports GPU accelerated computation using NVIDIA CUDA,
 however the scikit-cuda library which is needed for that additionally
 isn't available yet within Debian.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=brainstorm
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="cp -a brainstorm/tests {build_dir}/brainstorm/tests; {interpreter} -Wd -m pytest {build_dir}/brainstorm/tests -v -rs; rm -rf {build_dir}/brainstorm/tests" dh_auto_test

override_dh_installdocs:
	dh_installdocs
	sphinx-build -N -bhtml docs/ debian/python3-brainstorm/usr/share/doc/python3-brainstorm/html/

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

override_dh_compress:
	dh_compress -X.py

override_dh_gencontrol:
	dh_numpy3
	dh_gencontrol

=== debian/tests/control ===
Tests: python3-brainstorm
Depends: @, python3-pytest, python3-mock

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]+)\.tar\.gz/python-brainstorm-$1.tar.gz/" \
https://github.com/IDSIA/brainstorm/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz
